# `abacusai.feature_group_template_variable_options`

## Module Contents

### Classes

`FeatureGroupTemplateVariableOptions` | Feature Group Template Variable Options

class abacusai.feature_group_template_variable_options.FeatureGroupTemplateVariableOptions(client, templateVariableOptions=None, userFeedback=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  Feature Group Template Variable Options

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - templateVariableOptions (list[dict]) – List of values we can select for different template variables.

    - userFeedback (list[str]) – List of additional information regarding variable options for the user.

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict